Subject: Re: [PATCH net-next v5 1/4] printk: Add execution context (task name/CPU) to printk_info

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Feb 2026 16:23:21 -0800

On Mon, 2 Feb 2026 03:49:32 -0800 Breno Leitao wrote:
> > I don't see a reason at this
> > stage to prompt users with netcons disabled whether they want
> > PRINTK_EXECUTION_CTX  
> 
> Users won't see a prompt when netconsole is disabled. Since
> CONSOLE_HAS_EXECUTION_CTX is only selected when NETCONSOLE_DYNAMIC is
> enabled, PRINTK_EXECUTION_CTX will be automatically deselected without
> prompting. Additionally, CONSOLE_HAS_EXECUTION_CTX is a hidden symbol that
> cannot be manually forced.
> 
> That said, I'm open to making PRINTK_EXECUTION_CTX invisible as well,
> given it is behaving like one already.

I see, it doesn't prompt because netconsole 'selects' both.
Why y'all think this is clean I'm not sure, but yes, if you want
two symbols please make them both invisible. netconsole should
not have to select a printk symbol.